<?php 

// ini_set( 'display_errors', 1 );
if (isset($_POST['nombreAsesoria'])) {
	$nombre = $_POST['nombreAsesoria'];
	$apellidos = $_POST['apellidosAsesoria'];
    $empresa = $_POST['empresaAsesoria'];
    $estado = $_POST['estado'];
    $ciudad = $_POST['ciudad'];
	$correo = $_POST['correoAsesoria'];
    $numero = $_POST['numeroAsesoria'];
    $fecha1 = $_POST['fecha1'];
    $hora1 = $_POST['hora1'];
    $fecha2 = $_POST['fecha2'];
    $hora2 = $_POST['hora2'];
    $fecha3 = $_POST['fecha3'];
    $hora3 = $_POST['hora3'];
	$comentarios = $_POST['comentariosAsesoria'];
	// Realizamos la petición de control: 
	$recaptcha_url = 'https://www.google.com/recaptcha/api/siteverify'; 
	$recaptcha_secret = '6LcCmZ8UAAAAAE1Jzojch6baCHm_7UWGxVZMkgiL';
	$recaptchaGet = file_get_contents($recaptcha_url . '?secret=' . $recaptcha_secret . '&response=' . $recaptcha_response); 
	$recaptcha = json_decode($recaptchaGet,true);
	// Miramos si se considera humano o robot: 
	// echo json_encode($recaptcha);
	/*if ($recaptcha['success'] == true) {
		if($recaptcha['score'] >= 0.1){*/
			//enviamos el correo
                enviarCorreo($nombre,$apellidos,$empresa,$estado,$ciudad,
                             $correo,$numero,$fecha1,$hora1,$fecha2,$hora2,$fecha3,$hora3,$comentarios);
	/*	}else{

		controlError(false,"No hemos podido descubrir que eres un humano, por favor recarga la Página");
		}

	}else{
	controlError(false,"Captcha repetido o invalido, favor de recargar la Página.");

	}*/
}
function enviarCorreo($nombre,$apellidos,$empresa,$estado,$ciudad,$correo,$numero,$fecha1,$hora1,$fecha2,$hora2,$fecha3,$hora3,$comentarios){

    $to = "marketing@rake.mx";
    $subject = "CONTACTO WEB";
    $cabeceras  = 'MIME-Version: 1.0' . "\r\n";
    $cabeceras .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";   
    $cabeceras .= 'From: Rake MX<web@rake.mx>' . "\r\n"; 

    $path = '../shared/plantillas/contactoPlantillaAsesoria.html';
    if(file_exists($path)){
        $tpl = file_get_contents($path);
	}
    $body = str_replace('{{nombreAsesoria}}', $nombre, $tpl);
    $body = str_replace('{{apellidosAsesoria}}', $apellidos, $body);
    $body = str_replace('{{empresaAsesoria}}', $empresa, $body);	
    $body = str_replace('{{estado}}', $estado, $body);
    $body = str_replace('{{ciudad}}', $ciudad, $body);
    $body = str_replace('{{correoAsesoria}}', $correo, $body);
    $body = str_replace('{{numeroAsesoria}}', $numero, $body);
    $body = str_replace('{{fecha1}}', $fecha1, $body);
    $body = str_replace('{{hora1}}', $hora1, $body);
    $body = str_replace('{{fecha2}}', $fecha2, $body);
    $body = str_replace('{{hora2}}', $hora2, $body);
    $body = str_replace('{{fecha3}}', $fecha3, $body);
    $body = str_replace('{{hora3}}', $hora3, $body);
    $body = str_replace('{{comentariosAsesoria}}', $comentarios, $body);
    if(!mail($to,$subject,$body, $cabeceras)){
    	controlError(false,"No se pudo enviar el email al administrador :( .");
    }else{
        controlError(succes,"La demanda de Asesoría Técnica ha sido enviada exitosamente .");
    }
    

}

function controlError($succes,$mensaje) {
	$response = array('success'=>$succes,'mensaje'=>$mensaje);
	echo json_encode($response);
}

 ?>